package com.howard.rockear.adapters;

import android.graphics.Bitmap;

public class TrackListContent {

	private String titleString;
	private String artistString;
	private String durationString;
	private Bitmap iconBitmap;
	private long id;
	private String letterString;
	private String albumString;
	private String urlString;
	private String displayNameString;
	private long albumId;

	public TrackListContent() {
	}

	/**
	 * @param titleString
	 * @param artistString
	 * @param durationString
	 * @param iconBitmap
	 * @param id
	 * @param letterString
	 * @param albumString
	 * @param urlString
	 * @param displayNameString
	 * @param albumId
	 */
	public TrackListContent(String titleString, String artistString,
			String durationString, Bitmap iconBitmap, long id,
			String letterString, String albumString, String urlString,
			String displayNameString, long albumId) {
		super();
		this.titleString = titleString;
		this.artistString = artistString;
		this.durationString = durationString;
		this.iconBitmap = iconBitmap;
		this.id = id;
		this.letterString = letterString;
		this.albumString = albumString;
		this.urlString = urlString;
		this.displayNameString = displayNameString;
		this.albumId = albumId;
	}

	/**
	 * @return the titleString
	 */
	public String getTitleString() {
		return titleString;
	}

	/**
	 * @param titleString
	 *            the titleString to set
	 */
	public void setTitleString(String titleString) {
		this.titleString = titleString;
	}

	/**
	 * @return the artistString
	 */
	public String getArtistString() {
		return artistString;
	}

	/**
	 * @param artistString
	 *            the artistString to set
	 */
	public void setArtistString(String artistString) {
		this.artistString = artistString;
	}

	/**
	 * @return the durationString
	 */
	public String getDurationString() {
		return durationString;
	}

	/**
	 * @param durationString
	 *            the durationString to set
	 */
	public void setDurationString(String durationString) {
		this.durationString = durationString;
	}

	/**
	 * @return the iconBitmap
	 */
	public Bitmap getIconBitmap() {
		return iconBitmap;
	}

	/**
	 * @param iconBitmap
	 *            the iconBitmap to set
	 */
	public void setIconBitmap(Bitmap iconBitmap) {
		this.iconBitmap = iconBitmap;
	}

	/**
	 * @return the id
	 */
	public long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(long id) {
		this.id = id;
	}

	/**
	 * @return the letterString
	 */
	public String getLetterString() {
		return letterString;
	}

	/**
	 * @param letterString
	 *            the letterString to set
	 */
	public void setLetterString(String letterString) {
		this.letterString = letterString;
	}

	/**
	 * @return the albumString
	 */
	public String getAlbumString() {
		return albumString;
	}

	/**
	 * @param albumString
	 *            the albumString to set
	 */
	public void setAlbumString(String albumString) {
		this.albumString = albumString;
	}

	/**
	 * @return the urlString
	 */
	public String getUrlString() {
		return urlString;
	}

	/**
	 * @param urlString
	 *            the urlString to set
	 */
	public void setUrlString(String urlString) {
		this.urlString = urlString;
	}

	/**
	 * @return the displayNameString
	 */
	public String getDisplayNameString() {
		return displayNameString;
	}

	/**
	 * @param displayNameString
	 *            the displayNameString to set
	 */
	public void setDisplayNameString(String displayNameString) {
		this.displayNameString = displayNameString;
	}

	/**
	 * @return the albumId
	 */
	public long getAlbumId() {
		return albumId;
	}

	/**
	 * @param albumId
	 *            the albumId to set
	 */
	public void setAlbumId(long albumId) {
		this.albumId = albumId;
	}

}
